"use strict";

exports.__esModule = true;
exports["default"] = CustomDatePicker;

require("date-fns");

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _dateFns2 = _interopRequireDefault(require("@date-io/date-fns"));

var _pickers = require("@material-ui/pickers");

var _core = require("@material-ui/core");

var _jsxFileName = "/home/zaman/Documents/GitLab/bayt/formbuilder/src/utils/date-picker/index.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n  .MuiInputLabel-shrink {\n    transform: none;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteralLoose(strings, raw) { if (!raw) { raw = strings.slice(0); } strings.raw = raw; return strings; }

var StyledDatePicker = (0, _styledComponents["default"])(_pickers.DatePicker)(_templateObject());

function CustomDatePicker(props) {
  var value = props.value,
      handleChange = props.handleChange,
      label = props.label,
      error = props.error,
      required = props.required,
      helperText = props.helperText,
      disabled = props.disabled;
  return /*#__PURE__*/_react["default"].createElement(_pickers.MuiPickersUtilsProvider, {
    utils: _dateFns2["default"],
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(StyledDatePicker, {
    fullWidth: true,
    clearable: true,
    label: label,
    openTo: "date",
    variant: "inline",
    views: ["year", "month", "date"],
    format: "MM/dd/yyyy",
    margin: "normal",
    value: value,
    onChange: handleChange,
    helperText: helperText,
    required: required,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23,
      columnNumber: 7
    }
  }));
}

module.exports = exports.default;