var _jsxFileName = "/home/zaman/Documents/GitLab/bayt/formbuilder/src/components/app/fields-wrappers/Image.js";
import React from 'react';
import { Tooltip } from '@material-ui/core';
export default function ImageWrapper(props) {
  var _this = this;

  var renderTooltip = function renderTooltip() {
    if (props.data.config.tooltip && props.data.config.tooltip !== '') {
      return /*#__PURE__*/React.createElement(Tooltip, {
        title: props.data.config.tooltip,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 8,
          columnNumber: 9
        }
      }, renderLink());
    } else {
      return renderLink();
    }
  };

  var renderLink = function renderLink() {
    if (props.data.config.href) {
      return /*#__PURE__*/React.createElement("a", {
        href: props.data.config.href,
        target: "_blank",
        rel: "noopener noreferrer",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 20,
          columnNumber: 9
        }
      }, /*#__PURE__*/React.createElement("img", {
        src: props.data.config.url,
        className: "ahfb-img-wrapper-main",
        alt: "Embedded Image",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 21,
          columnNumber: 11
        }
      }));
    }

    return /*#__PURE__*/React.createElement("img", {
      src: props.data.config.url,
      className: "ahfb-img-wrapper-main ahfb-width-full",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 26,
        columnNumber: 7
      }
    });
  };

  return /*#__PURE__*/React.createElement("div", {
    className: "ahfb-width-full",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 31,
      columnNumber: 5
    }
  }, renderTooltip());
}