var _jsxFileName = "/home/zaman/Documents/GitLab/bayt/formbuilder/src/utils/Tabs/SimpleTabs.js";

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

import React from 'react';
import { makeStyles, withStyles } from '@material-ui/core/styles';
import Tabs from '@material-ui/core/Tabs';
import Tab from '@material-ui/core/Tab';
import Paper from '@material-ui/core/Paper';
import FormControl from '@material-ui/core/FormControl';
import InputLabel from '@material-ui/core/InputLabel';
import Select from '@material-ui/core/Select';
import MenuItem from '@material-ui/core/MenuItem';
import Grid from '@material-ui/core/Grid';
import { connect } from "react-redux";
import { setAddLanguageSelect as _setAddLanguageSelect } from '../../actions/formActions';
var addLangLabel = {
  en: 'Add Langauge',
  ar: 'إضافة لغة'
};
var selectLangLabel = {
  en: 'Select Language',
  ar: 'اختار اللغة'
};

var useStyles = function useStyles(theme) {
  return {
    root: {
      flexGrow: 1,
      backgroundColor: theme.palette.background.paper
    }
  };
};

var SimpleTabs = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(SimpleTabs, _React$Component);

  function SimpleTabs() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = SimpleTabs.prototype;

  _proto.componentDidMount = function componentDidMount() {
    this.props.setAddLanguageSelect({
      target: {
        value: ''
      }
    });
  };

  _proto.render = function render() {
    var _this = this;

    var _this$props = this.props,
        value = _this$props.value,
        handleChange = _this$props.handleChange,
        options = _this$props.options,
        classes = _this$props.classes,
        locals = _this$props.locals,
        addLanguageSelect = _this$props.addLanguageSelect;
    return /*#__PURE__*/React.createElement("div", {
      className: classes.root,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 40,
        columnNumber: 7
      }
    }, /*#__PURE__*/React.createElement(Paper, {
      square: true,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 41,
        columnNumber: 9
      }
    }, /*#__PURE__*/React.createElement(Tabs, {
      variant: "fullWidth",
      value: value,
      indicator: true,
      text: true,
      onChange: handleChange,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 42,
        columnNumber: 11
      }
    }, options.map(function (option) {
      return /*#__PURE__*/React.createElement(Tab, {
        key: "tab-" + option.value,
        value: option.value,
        label: option.label,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 50,
          columnNumber: 15
        }
      });
    }))), locals && locals.length !== 0 && /*#__PURE__*/React.createElement("div", {
      className: "ahfb-width-ful ahfb-px-3 ahfb-mt-3",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 57,
        columnNumber: 11
      }
    }, /*#__PURE__*/React.createElement(Grid, {
      container: true,
      spacing: 3,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 58,
        columnNumber: 13
      }
    }, /*#__PURE__*/React.createElement(Grid, {
      item: true,
      xs: 12,
      md: 3,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 59,
        columnNumber: 15
      }
    }, /*#__PURE__*/React.createElement("label", {
      className: "ahfb-mt-3 ahfb-align-center",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 60,
        columnNumber: 17
      }
    }, addLangLabel[this.props.currentLang])), /*#__PURE__*/React.createElement(Grid, {
      item: true,
      xs: 12,
      md: 9,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 62,
        columnNumber: 15
      }
    }, /*#__PURE__*/React.createElement(FormControl, {
      className: "ahfb-width-ful ahfb-d-flex",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 63,
        columnNumber: 17
      }
    }, /*#__PURE__*/React.createElement(InputLabel, {
      id: "demo-simple-select-label",
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 64,
        columnNumber: 19
      }
    }, selectLangLabel[this.props.currentLang]), /*#__PURE__*/React.createElement(Select, {
      labelId: "demo-simple-select-label",
      id: "demo-simple-select",
      value: addLanguageSelect,
      onClick: this.props.setAddLanguageSelect,
      __self: this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 65,
        columnNumber: 19
      }
    }, locals.map(function (locale) {
      return /*#__PURE__*/React.createElement(MenuItem, {
        key: locale.key,
        value: locale.key,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 72,
          columnNumber: 23
        }
      }, locale.name);
    })))))));
  };

  return SimpleTabs;
}(React.Component);

var mapStateToProps = function mapStateToProps(state) {
  return {
    locals: state.form.locals,
    addLanguageSelect: state.form.addLanguageSelect,
    currentLang: state.form.currentLang
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    setAddLanguageSelect: function setAddLanguageSelect(e) {
      return dispatch(_setAddLanguageSelect(e.target.value));
    }
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(withStyles(useStyles)(SimpleTabs));