"use strict";

exports.__esModule = true;
exports["default"] = AlertDialog;

var _react = _interopRequireDefault(require("react"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _Dialog = _interopRequireDefault(require("@material-ui/core/Dialog"));

var _DialogActions = _interopRequireDefault(require("@material-ui/core/DialogActions"));

var _DialogContent = _interopRequireDefault(require("@material-ui/core/DialogContent"));

var _DialogTitle = _interopRequireDefault(require("@material-ui/core/DialogTitle"));

var _DialogContentText = _interopRequireDefault(require("@material-ui/core/DialogContentText"));

var _core = require("@material-ui/core");

var _jsxFileName = "/home/zaman/Documents/GitLab/bayt/formbuilder/src/utils/alertdialog/AlertDialog.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function AlertDialog(props) {
  var open = props.open,
      title = props.title,
      message = props.message,
      primaryLabel = props.primaryLabel,
      secondaryLabel = props.secondaryLabel,
      primaryAction = props.primaryAction,
      secondaryAction = props.secondaryAction,
      primaryActionLoading = props.primaryActionLoading,
      secondaryActionLoading = props.secondaryActionLoading;
  return /*#__PURE__*/_react["default"].createElement("div", {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 3
    }
  }, /*#__PURE__*/_react["default"].createElement(_Dialog["default"], {
    open: open,
    onClose: secondaryAction,
    fullWidth: true,
    classes: {
      paper: 'rounded-8'
    },
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 4
    }
  }, /*#__PURE__*/_react["default"].createElement(_DialogTitle["default"], {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 33,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Typography, {
    className: "text-14",
    variant: "h6",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 34,
      columnNumber: 6
    }
  }, title || '')), /*#__PURE__*/_react["default"].createElement(_DialogContent["default"], {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 38,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_DialogContentText["default"], {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 39,
      columnNumber: 6
    }
  }, message)), /*#__PURE__*/_react["default"].createElement(_DialogActions["default"], {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 41,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    disabled: !!secondaryActionLoading,
    onClick: secondaryAction,
    color: "secondary",
    variant: "outlined",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 42,
      columnNumber: 6
    }
  }, !!secondaryActionLoading && /*#__PURE__*/_react["default"].createElement(_core.CircularProgress, {
    size: "2.4rem",
    className: "mr-4 rtl:ml-4",
    color: "secondary",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 49,
      columnNumber: 8
    }
  }), secondaryLabel), primaryLabel ? /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    disabled: !!primaryActionLoading,
    onClick: primaryAction,
    autoFocus: true,
    variant: "contained",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 54,
      columnNumber: 7
    }
  }, !!primaryActionLoading && /*#__PURE__*/_react["default"].createElement(_core.CircularProgress, {
    size: "2.4rem",
    className: "mr-4 rtl:ml-4",
    color: "secondary",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 62,
      columnNumber: 9
    }
  }), primaryLabel) : '')));
}

module.exports = exports.default;